import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';
import sitemap from '@astrojs/sitemap';
import remarkMath from 'remark-math';
import rehypeKatex from 'rehype-katex';
import rehypeMermaid from 'rehype-mermaid';
import remarkRehype from 'remark-rehype';

export default defineConfig({
  site: 'https://bloginamatrix.xyz',
  integrations: [
    mdx({
      gfm: true,
      extendMarkdownConfig: true,
      optimize: true,
      remarkPlugins: [remarkMath, remarkRehype],
      rehypePlugins: [rehypeKatex, rehypeMermaid]
    }),
    sitemap()],

  markdown: {
    gfm: true,
    extendMarkdownConfig: true,
    optimize: true,
    remarkPlugins: [remarkMath, remarkRehype],
    rehypePlugins: [rehypeKatex, rehypeMermaid],
  }
});
